# Class NCName

java.lang.Object
nu.validator.htmlparser.impl.NCName

public final class NCName extends Object

## Constructor Summary

Constructors
Constructor
Description
`NCName()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`escapeName(String str)`
`static boolean`
`isNCName(String str)`
`static boolean`
`isNCNameStart(char c)`
`static boolean`
`isNCNameTrail(char c)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NCName

public NCName()

## Method Details

### isNCNameStart

public static boolean isNCNameStart(char c)

### isNCNameTrail

public static boolean isNCNameTrail(char c)

### isNCName

public static boolean isNCName(String str)

### escapeName

public static String escapeName(String str)